import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/bizorder/` + url, ...arg)

/**
 * 订单管理Api接口管理器
 *
 * @author fanzherong
 * @date  2025/03/21 17:16
 **/
export default {
	// 获取订单管理分页
	bizOrderPage(data) {
		return request('page', data, 'get')
	},
	// 提交订单管理表单 edit为true时为编辑，默认为新增
	bizOrderSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除订单管理
	bizOrderDelete(data) {
		return request('delete', data)
	},
	// 获取订单管理详情
	bizOrderDetail(data) {
		return request('detail', data, 'get')
	},
	// 获取客户信息
	getCustomerById(data){
		return request('getCustomerById',data,'get')
	},
	// 绑定客户ID
	bindCustomerId(data){
		return request('bindCustomerId',data)
	},
	//导出
	exportRecord(data){
		return request('exportRecord', data, 'get', {
			responseType: 'blob'
		})
	},
	//结束订单
	endOrder(data){
		return request('endOrder',data)
	},
	//订单列表
	getList(data){
		return request('getList',data,'get')
	}
}
